#ifndef MMU_H
#define MMU_H

#include <stdint.h>
#include "cpu/rv32cpu.h"

typedef enum MEMORY_ACCESS_TYPE
{
    READ,
    WRITE,
    INSTRUCTION_FETCH
} memory_access_type_t;

uint32_t mmu_resolve(rv32_cpu_t* cpu, memory_access_type_t access_type, uint32_t vaddr);

#endif
